#include "testlib.h"
#include <bits/stdc++.h>
 
using namespace std;
 
int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    int n = opt<int>(1);
    int v = opt<int>(2);
    int pos = opt<int>(3);
    int type = opt<int>(4);
    int percent = opt<int>(5);
    cout<<n<<endl;
    for(int i=0;i<n;++i) {
        if(i<pos) {
            cout<<"+ "<<v<<' '<<"async"<<endl;
        }
        else if(i==pos) {
            cout<<"= "<<v<<' '<<(type ? "sync" : "async")<<endl;
        }
        else if(rnd.next(100)<percent) {
            cout<<"+ "<<v<<' '<<"sync"<<endl;
        }
        else {
            cout<<"+ "<<v<<' '<<"async"<<endl;
        }
    }
}
